Bug 30748 - Define sources.list entries via UCR policy
Define sources.list entries via UCR policy
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 enhancement
: UCC 2.0
Assigned To: Janek Walkenhorst
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 16:11 CET by Sönke Schwardt-Krummrich
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2013-03-11 16:11:28 CET
It should be possible to define entries in /etc/apt/sources.list.d/* via UCR policies. That would allow to easily include UCS components like "cool-solutions" or other project specific repositories without the need to modify the default UCC image.
Comment 1 Janek Walkenhorst univentionstaff 2014-05-19 18:26:55 CEST
The content of all UCRV that start with "ucc/apt/" is (sorted by UCRV name) written to /etc/apt/sources.list.d/ucc.

Example:
  ucr set ucc/apt/sec1="deb http://security.debian.org/ wheezy/updates main"
  ucr set ucc/apt/sec2="deb-src http://security.debian.org/ wheezy/updates main"
Comment 2 Moritz Muehlenhoff univentionstaff 2014-05-20 09:22:00 CEST
The content of /etc/apt/sources.list.d/ucc is written correctly, but the file is now parsed with the current name scheme:

# apt-get update

(..)

Ign http://ucc2.software-univention.de trusty-security/universe Translation-en
Reading package lists... Done
N: Ignoring file 'ucc' in directory '/etc/apt/sources.list.d/' as it has no filename extension

Renaming the template to ucc.list fixes this. Also, a changelog entry is missing.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-20 09:38:54 CEST
(In reply to Moritz Muehlenhoff from comment #2)
> The content of /etc/apt/sources.list.d/ucc is written correctly, but the
> file is now parsed with the current name scheme:

I meant "not parsed"
Comment 4 Janek Walkenhorst univentionstaff 2014-05-20 10:51:20 CEST
Renamed to "ucc.list".
Comment 5 Moritz Muehlenhoff univentionstaff 2014-05-20 14:06:14 CEST
Ok, working fine now.
Comment 6 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:53 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".